(function ($, ko, ns) {
	ns.GridViewViewModel = function () {
		this.dataSource = ko.observable(ko.observableArray([]));
	};
	
	ns.GridViewViewModel.prototype = function () {
		var 
			setDataSource = function (dataSource) {
				this.dataSource(dataSource);
			},
			
			addRowCommand = function (vm, event) {					
				vm.dataSource().push({
					// TODO: extract this to config.js
					key: ko.observable(""),
					value: ko.observable(""),
					type: ko.observable("string") 
				});
			},
			
			deleteRowCommand = function (vm, event, gridViewVM) {
				gridViewVM.dataSource().remove(vm);
			};
		
		return {
			setDataSource: setDataSource,
			addRowCommand: addRowCommand,
			deleteRowCommand: deleteRowCommand
		};
	}();
} ($, ko, window.configTree = window.configTree || {}))