(function ($, ko, ns) {
	ns.exportPackViewModel = function () {
		var
			form = {
				method: "POST",
				target: "responseFrame",
				action: ns.dataservice.getURL("exportzip")
			},
			exportFormatSelect = {
				name: "format",
				formats: ["XML", "BIN"]
			},
			exportAllCheckbox = {
				name: "all",
				value: "all",
				checked: ko.observable(true)
			},
			configurableTypeBaseName = "type",
			configurableTypes = ko.observableArray(),
			updateConfigurableTypes = function (configurableTypes) {
				configurableTypes(configurableTypes);
			};
			
		exportAllCheckbox.checked.subscribe(function (newValue) {
			$("#types").find("input").filter(":checkbox").each(function (index, element) {
				$(element).attr("checked", newValue);
			});
		});
			
		return {
			form: form,
			exportFormatSelect: exportFormatSelect,
			exportAllCheckbox: exportAllCheckbox,
			configurableTypeBaseName: configurableTypeBaseName,
			configurableTypes: configurableTypes
		}
	}();
}($, ko, window.configTree = window.configTree || {}))