(function (ns) {
    ns.config = {};
    var config = ns.config;

    config.nodeTypes = {
        node: "node",
        mapProperty: "map",
        arrayProperty: "array"
    };

    config.simplePropertyTypes = ["boolean", "byte", "short", "int", "long", "float", "double", "char", "string", "boolean[]", "byte[]", "short[]", "int[]", "long[]", "float[]", "double[]", "char[]", "string[]"];

    config.iconClasses = {
        treeNode: {
            open: "ui-icon-folder-open",
            closed: "ui-icon-folder-collapsed",
            add: "ui-icon-add-folder"
        },
        mapPropertyTreeNode: {
            open: "ui-icon-script",
            closed: "ui-icon-script",
            add: "ui-icon-add-script"
        },
        arrayPropertyTreeNode: {
            open: "",
            closed: "",
            add: ""
        }
    };

    config.subscriptionTopics = {
        treeViewVM: {
            selectedTreeNodePathChanged: "selectedTreeNodePathChanged",
            selectedTreeNodePropertiesChanged: "selectedTreeNodePropertiesChanged",
            treeViewVMChanged: "treeViewVMChanged"
        },
        buttonsMenuVM: {
            pressedButtonVMChanged: "pressedButtonVMChanged"
        }
    };
})(window.configTree = window.configTree || {});