(function ($, ko, ns) {
	ns.exportConfigNodeViewModel = function () {
		var
			// public properties
			
			form = {
				method: "POST",
				target: "responseFrame",
				action: ns.dataservice.getURL("exportConfig")
			},
			exportFormatSelect = {
				name: "format",
				formats: ["XML", "BIN"]
			},
			configurableTypesBlankText = ""
			selectedConfigurableType = ko.observable(""),
			selectedConfigNodePath = ko.observable(""),
			hasPath = ko.observable(),
			
			// public commands
			
			submitCommand = function (vm, event) {
				if (typeof selectedConfigurableType() !== "string" || selectedConfigurableType() === configurableTypesBlankText) {
					if (event) {
						event.stopPropagation();
					} else {
						window.event.cancelBubble = true
					}
					return false;
				}
				return true;
			};
		
		return {
			form: form,
			exportFormatSelect: exportFormatSelect,
			selectedConfigurableType: selectedConfigurableType,
			selectedConfigNodePath: selectedConfigNodePath,
			submitCommand: submitCommand
		};
	}();
}($, ko, window.configTree = window.configTree || {}))